--
-- Simple test of odbc2 "thick" binding
--
-- Sune Falck 2000-02-05
--
-- $Revision: 1.1 $     $Date: 2000/02/05 19:41:34 $
--

with Ada.Text_Io;      use Ada.Text_Io;
with Odbc2;            use Odbc2;

procedure Test_Odbc2 is

   Dbc  : Connection_Handle;
   Num  : aliased Integer;
   Text : String (1..16);         -- No need to reserve space for trailing zero
   Cur  : Cursor_Type (2, 0);     -- Two output parameters, no input parameter
begin

   Odbc2.Logon (Dbc);             -- Read Data Source Name, User and Password
                                  -- form the command line

   Open (Cur, Dbc, "select num, text from iodbctest", Read_Only => True);
   Bind_Output (Cur, 1, Num'Access);
   Bind_Output (Cur, 2, Text);
   Execute (Cur);

   while Fetch (Cur) = Db_Success loop
      Put_Line (Integer'Image (Num) & ' ' & Text);
   end loop;

   Close (Cur);
   Odbc2.Disconnect (Dbc);

end Test_Odbc2;
